Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraft.enchantment
Enum EnumEnchantmentType

    java.lang.Object
      java.lang.Enum<EnumEnchantmentType>
          net.minecraft.enchantment.EnumEnchantmentType

All Implemented Interfaces:
  Serializable, Comparable<EnumEnchantmentType>

    public enum EnumEnchantmentType

extends Enum<EnumEnchantmentType>

Enum Constant Summary
`all`
`armor`
`armor_feet`
`armor_head`
`armor_legs`
`armor_torso`
`bow`
`digger`
`weapon`

Method Summary
`boolean` | `canEnchantItem(Item par1Item)` Return true if the item passed can be enchanted by a enchantment of this type.
`static EnumEnchantmentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumEnchantmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### all

    public static final EnumEnchantmentType all

### armor

    public static final EnumEnchantmentType armor

### armor_feet

    public static final EnumEnchantmentType armor_feet

### armor_legs

    public static final EnumEnchantmentType armor_legs

### armor_torso

    public static final EnumEnchantmentType armor_torso

### armor_head

    public static final EnumEnchantmentType armor_head

### weapon

    public static final EnumEnchantmentType weapon

### digger

    public static final EnumEnchantmentType digger

### bow

    public static final EnumEnchantmentType bow

Method Detail

### values

    public static EnumEnchantmentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnumEnchantmentType c : EnumEnchantmentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnumEnchantmentType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### canEnchantItem

    public boolean canEnchantItem(Item par1Item)

  Return true if the item passed can be enchanted by a enchantment of this type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD